<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'annie',

    /*
     * Package.
     */
    'package'   => 'event',

    /*
     * Modules.
     */
    'modules'   => ['event', 
'event_collage', 
'event_community', 
'event_invitation', 
'event_lead', 
'event_school', 
'event_setting', 
'event_social_partner'],

    'event'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\Event::class,
            'table'                 => 'events',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'name',  'description',  'venue',  'state_id',  'city_id',  'block_id',  'village_id',  'lat',  'lon',  'contact_name',  'contact_mobile',  'type',  'start_date_time',  'end_date_time',  'registration_end_date',  'purchase_end_date',  'event_banner',  'images',  'videos',  'documents',  'highlights',  'donation_support_text',  'status',  'hashtags',  'meta_title',  'meta_keywords',  'meta_description',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'event/event',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'Event',
        ],

    ],

    'event_collage'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\EventCollage::class,
            'table'                 => 'event_collages',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventCollagePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'collage_id'],
            'translatables'         => [],
            'upload_folder'         => 'event/event_collage',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'EventCollage',
        ],

    ],

    'event_community'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\EventCommunity::class,
            'table'                 => 'event_communities',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventCommunityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'community_id'],
            'translatables'         => [],
            'upload_folder'         => 'event/event_community',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'EventCommunity',
        ],

    ],

    'event_invitation'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\EventInvitation::class,
            'table'                 => 'event_invitations',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventInvitationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'name',  'email',  'invited_by',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'event/event_invitation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'EventInvitation',
        ],

    ],

    'event_lead'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\EventLead::class,
            'table'                 => 'event_leads',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventLeadPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'user_id'],
            'translatables'         => [],
            'upload_folder'         => 'event/event_lead',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'EventLead',
        ],

    ],

    'event_school'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\EventSchool::class,
            'table'                 => 'event_schools',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventSchoolPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'school_id'],
            'translatables'         => [],
            'upload_folder'         => 'event/event_school',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'EventSchool',
        ],

    ],

    'event_setting'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\EventSetting::class,
            'table'                 => 'event_settings',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventSettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'setting',  'value'],
            'translatables'         => [],
            'upload_folder'         => 'event/event_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'EventSetting',
        ],

    ],

    'event_social_partner'       => [
        'model' => [
            'model'                 => \Annie\Event\Models\EventSocialPartner::class,
            'table'                 => 'event_social_partners',
            'presenter'             => \Annie\Event\Repositories\Presenter\EventSocialPartnerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'social_partner_id'],
            'translatables'         => [],
            'upload_folder'         => 'event/event_social_partner',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Event',
            'module'    => 'EventSocialPartner',
        ],

    ],
];
