<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEventsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: events
         */
        Schema::create('events', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('name', 255)->nullable();
            $table->text('description')->nullable();
            $table->string('venue', 255)->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('block_id')->nullable();
            $table->integer('village_id')->nullable();
            $table->string('lat', 255)->nullable();
            $table->string('lon', 255)->nullable();
            $table->string('contact_name', 255)->nullable();
            $table->string('contact_mobile', 255)->nullable();
            $table->integer('type')->nullable();
            $table->dateTime('start_date_time')->nullable();
            $table->dateTime('end_date_time')->nullable();
            $table->dateTime('registration_end_date')->nullable();
            $table->dateTime('purchase_end_date')->nullable();
            $table->string('event_banner', 255)->nullable();
            $table->longText('images')->nullable();
            $table->longText('videos')->nullable();
            $table->text('documents')->nullable();
            $table->longText('highlights')->nullable();
            $table->mediumText('donation_support_text')->nullable();
            $table->integer('status')->nullable();
            $table->text('hashtags')->nullable();
            $table->text('meta_title')->nullable();
            $table->text('meta_keywords')->nullable();
            $table->text('meta_description')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('events');
    }
}
