<?php

namespace Annie\Event\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Event extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'annie.event.event.model';


    /**
     * The collages that belong to the event.
     */
    public function collages(){
        return $this->hasMany('Event\Event\Models\Event_collage');
    }


    /**
     * The communities that belong to the event.
     */
    public function communities(){
        return $this->hasMany('Event\Event\Models\Event_community');
    }


    /**
     * The invitations that belong to the event.
     */
    public function invitations(){
        return $this->hasMany('Event\Event\Models\Event_invitation');
    }


    /**
     * The leads that belong to the event.
     */
    public function leads(){
        return $this->hasMany('Event\Event\Models\Event_lead');
    }


    /**
     * The schools that belong to the event.
     */
    public function schools(){
        return $this->hasMany('Event\Event\Models\Event_school');
    }


    /**
     * The settings that belong to the event.
     */
    public function settings(){
        return $this->hasMany('Event\Event\Models\Event_setting');
    }


    /**
     * The social_partners that belong to the event.
     */
    public function social_partners(){
        return $this->hasMany('Event\Event\Models\Event_social_partner');
    }
}
