<?php

namespace Annie\Event\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Event policy
        'Annie\Event\Models\Event' => \Annie\Event\Policies\EventPolicy::class,
// Bind EventCollage policy
        'Annie\Event\Models\EventCollage' => \Annie\Event\Policies\EventCollagePolicy::class,
// Bind EventCommunity policy
        'Annie\Event\Models\EventCommunity' => \Annie\Event\Policies\EventCommunityPolicy::class,
// Bind EventInvitation policy
        'Annie\Event\Models\EventInvitation' => \Annie\Event\Policies\EventInvitationPolicy::class,
// Bind EventLead policy
        'Annie\Event\Models\EventLead' => \Annie\Event\Policies\EventLeadPolicy::class,
// Bind EventSchool policy
        'Annie\Event\Models\EventSchool' => \Annie\Event\Policies\EventSchoolPolicy::class,
// Bind EventSetting policy
        'Annie\Event\Models\EventSetting' => \Annie\Event\Policies\EventSettingPolicy::class,
// Bind EventSocialPartner policy
        'Annie\Event\Models\EventSocialPartner' => \Annie\Event\Policies\EventSocialPartnerPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
