<?php

namespace Annie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventCollageTransformer extends TransformerAbstract
{
    public function transform(\Annie\Event\Models\EventCollage $event_collage)
    {
        return [
            'id'                => $event_collage->getRouteKey(),
            'key'               => [
                'public'    => $event_collage->getPublicKey(),
                'route'     => $event_collage->getRouteKey(),
            ], 
            'id'                => $event_collage->id,
            'event_id'          => $event_collage->event_id,
            'collage_id'        => $event_collage->collage_id,
            'url'               => [
                'public'    => trans_url('event/'.$event_collage->getPublicKey()),
                'user'      => guard_url('event/event_collage/'.$event_collage->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_collage->status),
            'created_at'        => format_date($event_collage->created_at),
            'updated_at'        => format_date($event_collage->updated_at),
        ];
    }
}