<?php

namespace Annie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventLeadTransformer extends TransformerAbstract
{
    public function transform(\Annie\Event\Models\EventLead $event_lead)
    {
        return [
            'id'                => $event_lead->getRouteKey(),
            'key'               => [
                'public'    => $event_lead->getPublicKey(),
                'route'     => $event_lead->getRouteKey(),
            ], 
            'id'                => $event_lead->id,
            'event_id'          => $event_lead->event_id,
            'user_id'           => $event_lead->user_id,
            'url'               => [
                'public'    => trans_url('event/'.$event_lead->getPublicKey()),
                'user'      => guard_url('event/event_lead/'.$event_lead->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_lead->status),
            'created_at'        => format_date($event_lead->created_at),
            'updated_at'        => format_date($event_lead->updated_at),
        ];
    }
}