<?php

namespace Annie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventSchoolTransformer extends TransformerAbstract
{
    public function transform(\Annie\Event\Models\EventSchool $event_school)
    {
        return [
            'id'                => $event_school->getRouteKey(),
            'key'               => [
                'public'    => $event_school->getPublicKey(),
                'route'     => $event_school->getRouteKey(),
            ], 
            'id'                => $event_school->id,
            'event_id'          => $event_school->event_id,
            'school_id'         => $event_school->school_id,
            'url'               => [
                'public'    => trans_url('event/'.$event_school->getPublicKey()),
                'user'      => guard_url('event/event_school/'.$event_school->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_school->status),
            'created_at'        => format_date($event_school->created_at),
            'updated_at'        => format_date($event_school->updated_at),
        ];
    }
}