<?php

namespace Annie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventSettingTransformer extends TransformerAbstract
{
    public function transform(\Annie\Event\Models\EventSetting $event_setting)
    {
        return [
            'id'                => $event_setting->getRouteKey(),
            'key'               => [
                'public'    => $event_setting->getPublicKey(),
                'route'     => $event_setting->getRouteKey(),
            ], 
            'id'                => $event_setting->id,
            'event_id'          => $event_setting->event_id,
            'setting'           => $event_setting->setting,
            'value'             => $event_setting->value,
            'url'               => [
                'public'    => trans_url('event/'.$event_setting->getPublicKey()),
                'user'      => guard_url('event/event_setting/'.$event_setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_setting->status),
            'created_at'        => format_date($event_setting->created_at),
            'updated_at'        => format_date($event_setting->updated_at),
        ];
    }
}