<?php

namespace Annie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventTransformer extends TransformerAbstract
{
    public function transform(\Annie\Event\Models\Event $event)
    {
        return [
            'id'                => $event->getRouteKey(),
            'key'               => [
                'public'    => $event->getPublicKey(),
                'route'     => $event->getRouteKey(),
            ], 
            'id'                => $event->id,
            'user_id'           => $event->user_id,
            'user_type'         => $event->user_type,
            'name'              => $event->name,
            'description'       => $event->description,
            'venue'             => $event->venue,
            'state_id'          => $event->state_id,
            'city_id'           => $event->city_id,
            'block_id'          => $event->block_id,
            'village_id'        => $event->village_id,
            'lat'               => $event->lat,
            'lon'               => $event->lon,
            'contact_name'      => $event->contact_name,
            'contact_mobile'    => $event->contact_mobile,
            'type'              => $event->type,
            'start_date_time'   => $event->start_date_time,
            'end_date_time'     => $event->end_date_time,
            'registration_end_date' => $event->registration_end_date,
            'purchase_end_date' => $event->purchase_end_date,
            'event_banner'      => $event->event_banner,
            'images'            => $event->images,
            'videos'            => $event->videos,
            'documents'         => $event->documents,
            'highlights'        => $event->highlights,
            'donation_support_text' => $event->donation_support_text,
            'status'            => $event->status,
            'hashtags'          => $event->hashtags,
            'meta_title'        => $event->meta_title,
            'meta_keywords'     => $event->meta_keywords,
            'meta_description'  => $event->meta_description,
            'deleted_at'        => $event->deleted_at,
            'created_at'        => $event->created_at,
            'updated_at'        => $event->updated_at,
            'url'               => [
                'public'    => trans_url('event/'.$event->getPublicKey()),
                'user'      => guard_url('event/event/'.$event->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event->status),
            'created_at'        => format_date($event->created_at),
            'updated_at'        => format_date($event->updated_at),
        ];
    }
}